<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Supplier Print";
$file = "supplier_print.php";
$mgrpcode = "009";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$name = $_POST['name'];
$state = $_POST['state'];
$city = $_POST['city'];

$namecond = "";
$citycond = "";
$statecond = "";

if (!empty($name)) {
    $namecond = " AND `code`='$name' ";
}
if (!empty($state)) {
    $statecond = " AND `state` = '$state' ";
}
if (!empty($city)) {
    $citycond = " AND `city` LIKE '$city' ";
}

$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $citycond $statecond $namecond order by name")or die(mysqli_error($conn));
if (isset($_POST["view"])) {
include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php");
            ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>City</th>
                            <th>State</th>
                            <th>Mobile</th>
                            <th>Mobile 2</th>
                            <th>Tel</th>
                            <th>GST No.</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[state]</td>";
                            Echo "<td>$pmain[mobile]</td>";
                            Echo "<td>$pmain[mobile2]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "<td>$pmain[gstno]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {

    $contents .= "Sr., Name, Group Name, Maintain balances bill-by-bill, Cost centres are applicable, Address, State, Country, Pincode, Primary Mobile No., Contact Name, Phone No., Fax No., E-mail,E-mail Cc, Website, Bank Details - Ref ID, Bank Details - Transaction Type, Bank Details - A/c No., Bank Details - IFS Code, Bank Details - Bank Name, PAN/IT No., GST Registration - Applicable From, GST Registration Type, GST Registration - GSTIN/UIN, Place of Supply (for Outwards), Is the Party a Transporter, Transporter ID, Ledger - Opening Balance, Ledger Opening Balance - Dr/Cr, Bill - Date, Bill - Name, Bill - Amount, Bill Amount - Dr/Cr, Is TDS Applicable, TDS - Nature of Payment, TDS - Applicable From, MSME Registration - Applicable from, MSME Registration - Type of Enterprise, MSME Registration - UDYAM Registration Number \n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getname = mysqli_query($conn, "SELECT name FROM `transport` WHERE `code`='$pmain[transporter]'")or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);

        $getbroker = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$pmain[broker]' ") or die(mysqli_error($conn));
        $gbroker = mysqli_fetch_array($getbroker);

        $grpname = "";
        if (empty($gbroker["name"])) {
            $grpname = "Sundry Creditors";
        } else {
            $grpname = "$gbroker[name]";
        }

        $pname = $pmain['name'];
        $billbybill = "Yes";
        $ccapp = "No";
        $add1 = str_replace(",", " ", "$pmain[add1]");
        $add2 = str_replace(",", " ", "$pmain[add2]");
        $add3 = str_replace(",", " ", "$pmain[add3]");
        $state = $pmain['state'];
        $country = $pmain['country'];
        $ppin = $pmain['pin'];
        $pmobile = $pmain['mobile'];
        $pmobile2 = $pmain['mobile2'];
        $fax = "";
        $pemail = $pmain['email'];
        $pemailcc = $pmain['email'];
        $pweb = "";
        $pbankdetails = "";
        $ptransfertype = "e-Fund Transfer";
        $pbankacno = "";
        $pbankifsc = "";
        $pbankname = "";
        $pbankcompname = "";
        $panitno = "";
        $pgstappform = "";
        $gstregntype = "Regular";
        $pgstin = "$pmain[gstno]";
        $plsupply = "";
        $transport = "";
        $transportid = "";
        $ledopenbal = "";
        $ledopenbalcrdr = "";
        $billdate = "";
        $billname = "";
        $billamt = "";
        $billamtcrdr = "";
        $istdsapplicable = "";
        $ntrofpayment = "";
        $tdsappform = "";
        $msmeappform = "";
        $msmeenttype = "";
        $msmeregnno = "";
        
        $ptel = $pmain['tel'];
        

        $contents .= $ctr . ",";
        $contents .= $pname . ",";
        $contents .= $grpname . ",";
        $contents .= $billbybill . ",";
        $contents .= $ccapp . ",";
        $contents .= $add1 . ",";
        $contents .= $state . ",";
        $contents .= $pcity . ",";
        $contents .= $country . ",";
        $contents .= $ppin . ",";
        $contents .= $pmobile . ",";
        $contents .= $pname . ",";
        $contents .= $pmobile2 . ",";
        $contents .= $fax . ",";
        $contents .= $pemail . ",";
        $contents .= $pemailcc . ",";
        $contents .= $pweb . ",";
        $contents .= $pbankdetails . ",";
        $contents .= $ptransfertype . ",";
        $contents .= $pbankacno . ",";
        $contents .= $pbankifsc . ",";
        $contents .= $pbankname . ",";
        $contents .= $pbankcompname . ",";
        $contents .= $panitno . ",";
        $contents .= $pgstappform . ",";
        $contents .= $gstregntype . ",";
        $contents .= $pgstin . ",";
        $contents .= $plsupply . ",";
        $contents .= $transport . ",";
        $contents .= $transportid . ",";
        $contents .= $ledopenbal . ",";
        $contents .= $ledopenbalcrdr . ",";
        $contents .= $billdate . ",";
        $contents .= $billname . ",";
        $contents .= $billamt . ",";
        $contents .= $billamtcrdr . ",";
        $contents .= $istdsapplicable . ",";
        $contents .= $ntrofpayment . ",";
        $contents .= $tdsappform . ",";
        $contents .= $msmeappform . ",";
        $contents .= $msmeenttype . ",";
        $contents .= $msmeregnno . "\n";

        $contents .= "" . ",,,,,";
        $contents .= $add2 . "\n";
        
        $contents .= "" . ",,,,,";
        $contents .= $add3 . "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
